import pandas as pd

# Path to the CSV file exported from MetaTrader 5. Edit the path to where your Csv file is saved
csv_file_path = r"C:\Users\Path to the data file\Volatility 75 (1s) Index_M1_202407050000_202407060000.csv"

# Read the CSV file into a DataFrame with tab delimiter
df = pd.read_csv(csv_file_path, delimiter='\t')

# Print the column names to debug
print("Column names in CSV:", df.columns)

# Check if 'OPEN' and 'CLOSE' columns exist
if '<OPEN>' in df.columns and '<CLOSE>' in df.columns:
    # Normalize the Open and Close prices
    min_price = min(df['<OPEN>'].min(), df['<CLOSE>'].min())
    max_price = max(df['<OPEN>'].max(), df['<CLOSE>'].max())

    df['Open_norm'] = (df['<OPEN>'] - min_price) / (max_price - min_price)
    df['Close_norm'] = (df['<CLOSE>'] - min_price) / (max_price - min_price)

    # Save the normalized data to a new CSV file
    output_csv_file_path = r"C:\Users\path to where you want to save the file\normalized_data.csv"
    df[['Open_norm', 'Close_norm']].to_csv(output_csv_file_path, index=False)

    print(f"Normalized data saved to {output_csv_file_path}")
else:
    print("'OPEN' and/or 'CLOSE' columns not found in CSV file. Available columns are:", df.columns)
